Subject: Re: bug#22686: An empty string marked for translation
From: Pádraig Brady <[email-masked]>
To: Göran Uddeborg <[email-masked]>, [email-masked]
Date: Mon, 15 Feb 2016 13:10:40 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 15/02/16 11:10, Göran Uddeborg wrote:
> On line 955 of src/stty.c there is an empty string marked for
> translation.
> 
> 	  fputs (_("\
>     "), stdout);
> 
> This might actually be harmful.  Po files use the translation of the
> empty string as a header.  So depending on the gettext implementation,
> it might be replaced by a header which I'm sure isn't intended.
> (Maybe GNU gettext guards against this, I haven't investigated.  But
> even if so, it is still pretty pointless to mark it for translation.)

Ouch it does output the header when translating (so not for English).
I pushed the fix in your name:
http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.25-6-g222e830

thanks!
Pádraig.